#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>

// Include userspace headers
#include "zc030x.h"
unsigned char *buf;
unsigned char *p;

int width;
int height;
int depth;

int fd;
FILE *fpe;

int code;
int i,j;

const char * DispMode[] = { "Unused", "Read-Only", "Write-Only", "Read-Write" };

int main(int argc, char *argv[])
{
   struct sensor_list sl;
   struct register_map rm[256];
   
   if(argc < 2) 
   {
     fprintf (stderr, "%d call:\n", argc);
     fprintf (stderr, "%s [device]\n",argv[0]);
     exit(-1);
   } 
 
   
   //try to open device
   fd = open(argv[1], O_RDONLY);

   if(fd == -1)
   {
     perror("fopen");
     exit(-1);
   }
   
   // Get the sensor information   
   printf("Trying to detect the sensor...\n");
   ioctl(fd, ZCIDSENSOR, &sl);
   printf("Reading the sensor type : (%d) %s \n", sl.id, sl.name);
   
   if (argc<3)
   {
       // Get a register map
       ioctl(fd, ZCI2CREGISTERMAP, rm);
       printf("Got i2c register map\n");
           printf("Register      Value        Mode\n");
       for (i = 0; i < 256; i++)
       {
           printf("  %02X           %02X          %s\n", rm[i].addr, rm[i].value, DispMode[rm[i].mode]);      
       }
   }
   
   close (fd);

   return(0);
}
