#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>

// Include userspace headers
#include "zc030x.h"
unsigned char *buf;
unsigned char *p;

int width;
int height;
int depth;

int fd;
FILE *fpe;

int code;
int i,j;

int main(int argc, char *argv[])
{
   struct sensor_list sl;
   
   if(argc < 6) 
   {
     fprintf (stderr, "%d call:\n", argc);
     fprintf (stderr, "%s [device] [width] [height] [depth] [outfile]\n",argv[0]);
     exit(-1);
   } 
 
   width = atoi(argv[2]);
   height = atoi(argv[3]);
   depth = atoi(argv[4]) >> 3;
   
   buf = malloc(width*height*depth);
   
   //try to open device
   fd = open(argv[1], O_RDONLY);

   if(fd == -1)
   {
     perror("fopen");
     exit(-1);
   }
   
  
   printf("trying to read %d bytes from %s...\n",width*height*depth, argv[1]);
   
   //try to read from device
   if ( (code = read(fd,buf,width*height*depth) )  != (width*height*depth) )
   {
     fprintf(stderr, "read error: %d",code);
     close(fd);
     exit(-1);
   }

   printf("%d bytes read.", code);

   //write ppm to file
   //device returns image data in BGR order, change to RGB for .ppm output
   p=buf;
   
   fpe = fopen(argv[5],"wb");
   fprintf(fpe, "P3\n%d %d\n255\n", width, height);

   for(i = 0; i < height; i++) 
   { 
     for(j = 0; j < width; j++) 
     { 
       if( (3*j%15) == 0 ) fprintf(fpe,"\n"); 
       fprintf(fpe, "%d %d %d ", *(p+2), *(p+1), *p); 
       //fprintf(fpe, "%d %d %d ", *p, *(p+1), *(p+2)); 
       p = p + 3; 
     } 
     fprintf(fpe, "\n"); 
   }
   
   fclose (fpe);

   fprintf(stdout,"%s written.\n",argv[5]);
   return(0);
}
