#ifndef h_CS2103_h
#define h_CS2103_h


/* Define a unique identifier for this sensor (begin of MD5(CS2103)in Hex) */
#define CS2103 0x021E1A3B


struct signature sig_CS2103 =
{
    /* Define the read only register address on I2C bus */
    .i2c_reg_addr = { 0x54,0x9F,0xA0,0xA1, 0xA2,0xA3,0xA4,0xA5, 
      0xA7,0xA9,0xAB,0xAD, 0xB0,0xB1},
    /* Define the read only register values on I2C bus */
    .i2c_ro_value = { 0x04,0x20,0x04,0x8C, 0x03,0x21,0x04,0x64, 
      0x1A,0x40,0x03,0x80, 0xFC,0x03},
    /* Then define the length of the signature */
    .signature_length = 14,
    /* Define the sensor id */
    .sensor_id = CS2103
};

/* CS2103 Sensor initialization */
__u8 CS2103_Initial[]={
	0x00,0x00,0x00,0xff
};

__u8 CS2103_50HZ[]={
	0x00,0x00,0x00,0xff
};

__u8 CS2103_60HZ[]={
	0x00,0x00,0x00,0xff
};

__u8 CS2103_NoFliker[]={
	0x00,0x00,0x00,0xff
};

/* CS2103 Sensor specific settings */
__u8 CS2103_Gamma[]={
	0x04
};

__u8 CS2103_GammaT[]={
	0x40
};

__u8 CS2103_MatrixT[]={
	0x40,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x40
};

__u8 CS2103_RJMatrixT[]={
	0x40,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x40
};

__u8 CS2103_defaultSettings[]={
       7, /*           BandWidth */
      20, /*          Brightness */
      20, /*            Contrast */
      18, /*                 Hue */
      50, /*          Saturation */
       3, /*           Sharpness */
       4, /*               Gamma */
       1, /*        WhiteBalance */
       0, /*           BackLight */
       1, /*         ColorEnable */
       7, /*           FrameRate */
       5, /*            Exposure */
       1, /*                Gain */
       0, /*              Mirror */
       1, /*             Flicker */
       1, /*             Default */
       1, /*        ExposureAuto */
       1, /*    WhiteBalanceAuto */
       1, /*            GainAuto */
       1, /*       BandWidthAuto */
       0, /*            Vertical */
      64, /*               Rgain */
      64, /*               Ggain */
      64 /*               Bgain */
};

#endif
