#include <linux/ioctl.h>

/* IOCtl to try to get the sensor type */
#define ZCIDSENSOR  _IOWR('v', 0xFD8, struct sensor_list)
#define ZCI2CREGISTERMAP  _IOWR('v', 0xFD9, struct register_map)


struct sensor_list 
{
  int id;
  char name[24];
  int minwidth;
  int minheight;
  int maxwidth;         /* max/min sensor resolution */
  int maxheight;
  const struct signature * i2c_sig;
};


#define RM_Unused       0
#define RM_ReadOnly     1
#define RM_WriteOnly    2
#define RM_ReadWrite    3

struct register_map
{
    int addr;
    int value;
    int mode;
};
